Skip to main content
GET
/
api
/
v2
/
markets
List all market definitions
curl --request GET \
  --url 'https://therundown.io/api/v2/markets?key='
[
  {
    "id": 1,
    "name": "moneyline",
    "line_value_is_participant": true,
    "proposition": true,
    "description": "Moneyline: To win outright",
    "short_description": "Moneyline",
    "period_id": 0,
    "live_variant_id": 41,
    "updated_at": "2026-01-23T20:38:12Z"
  },
  {
    "id": 2,
    "name": "handicap",
    "line_value_is_participant": false,
    "proposition": true,
    "description": "Spread: Win or lose by margin of points",
    "short_description": "Spread",
    "period_id": 0,
    "live_variant_id": 42,
    "updated_at": "2026-01-23T20:42:13Z"
  },
  {
    "id": 3,
    "name": "totals",
    "line_value_is_participant": false,
    "proposition": true,
    "description": "Totals: Total points",
    "short_description": "Totals",
    "period_id": 0,
    "live_variant_id": 43,
    "updated_at": "2026-01-23T20:38:12Z"
  },
  {
    "id": 4,
    "name": "moneyline_first_half",
    "line_value_is_participant": true,
    "proposition": true,
    "description": "1st half moneyline",
    "short_description": "1st half moneyline",
    "period_id": 1,
    "live_variant_id": 1024,
    "updated_at": "2026-01-24T15:49:43Z"
  }
]

Authorizations

key
string
query
required

API key as query parameter

Response

200 - application/json

All markets

id
integer
Example:

1

name
string
Example:

"Money Line"

description
string
short_description
string
line_value_is_participant
boolean

If true, the selection is carried by the participant and line values may be placeholders or labels. If false, the line value is meaningful and should be displayed when present.

proposition
boolean

Whether this is a proposition/prop market

period_id
integer | null

Associated period. 0=Full Game, 1=1st Half, 2=2nd Half, 3-6=Quarters/periods, 7=Live Full Game, 13-18=Live periods. For tennis, 3/4 represent prematch Set 1/Set 2 and 15/16 represent live Set 1/Set 2.

live_variant_id
integer | null

ID of the live/in-play variant of this market

updated_at
string<date-time>